
Core - Task # 67593

Epic # 58498 (Accepted): Cleanup FormEngine suggest

Status: Resolved Priority: Should have
Author: Andreas Wolf Category: FormEngine aka TCEforms
Created: 2015-06-18 Assigned To: Andreas Wolf
Updated: 2015-07-14 Due date:
TYPO3 Version: 7
PHP Version:
Complexity:
Sprint Focus:
Subject: Split up Suggest AJAX method
Description

The AJAX method of Suggest is really long and does a multitude of things it should not do itself. Therefore split up the method and
move stuff to helper methods, making the method easier to understand.

Associated revisions
Revision 56fd448d - 2015-07-14 21:53 - Andreas Wolf

[CLEANUP] FormEngine suggest: Split up AJAX method

This moves parts of the very complex AJAX receiver method to their own
methods, making the original method a lot shorter and easier to
understand.

Resolves: #67593
Releases: master
Change-Id: I2422313e988195c3c12ac9133542f1f6183cc5a4
Reviewed-on: http://review.typo3.org/40422
Reviewed-by: Markus Klein <markus.klein@typo3.org>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History
#1 - 2015-06-18 11:35 - Gerrit Code Review
- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40422

#2 - 2015-06-25 13:36 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40422
#3 - 2015-07-14 15:30 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40422

#4 - 2015-07-14 19:49 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40422

#5 - 2015-07-14 20:01 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40422

#6 - 2015-07-14 21:06 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40422

#7 - 2015-07-14 21:53 - Andreas Wolf
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:56fd448d350acc59a2cc268dbdb9905ffcd2033e.
